Bug 569479 - SELinux is preventing /usr/sbin/asterisk "read" access on inotify.
Summary: SELinux is preventing /usr/sbin/asterisk "read" access on inotify.
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 13
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:0b90b33c0fd...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-01 15:19 UTC by Quentin Armitage
Modified: 2010-03-10 06:48 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-03-10 06:48:25 UTC


Attachments (Terms of Use)

Description Quentin Armitage 2010-03-01 15:19:17 UTC
Summary:

SELinux is preventing /usr/sbin/asterisk "read" access on inotify.

Detailed Description:

SELinux denied access requested by asterisk. It is not expected that this access
is required by asterisk and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:system_r:asterisk_t:s0
Target Context                system_u:object_r:inotifyfs_t:s0
Target Objects                inotify [ dir ]
Source                        asterisk
Source Path                   /usr/sbin/asterisk
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           asterisk-1.6.2.4-1.fc13
Target RPM Packages           
Policy RPM                    selinux-policy-3.7.10-4.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.33-1.fc13.i686.PAE #1 SMP Wed Feb 24 19:54:49
                              UTC 2010 i686 i686
Alert Count                   1
First Seen                    Mon 01 Mar 2010 03:10:04 PM GMT
Last Seen                     Mon 01 Mar 2010 03:10:04 PM GMT
Local ID                      1782e3d0-4b41-49f3-bb3a-4297e957655b
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1267456204.114:22436): avc:  denied  { read } for  pid=29287 comm="asterisk" path="inotify" dev=inotifyfs ino=1 scontext=unconfined_u:system_r:asterisk_t:s0 tcontext=system_u:object_r:inotifyfs_t:s0 tclass=dir

node=(removed) type=SYSCALL msg=audit(1267456204.114:22436): arch=40000003 syscall=3 success=no exit=-13 a0=9 a1=b74fe2b8 a2=1014 a3=8128e20 items=0 ppid=1 pid=29287 auid=500 uid=489 gid=476 euid=489 suid=489 fsuid=489 egid=476 sgid=476 fsgid=476 tty=(none) ses=1 comm="asterisk" exe="/usr/sbin/asterisk" subj=unconfined_u:system_r:asterisk_t:s0 key=(null)



Hash String generated from  catchall,asterisk,asterisk_t,inotifyfs_t,dir,read
audit2allow suggests:

#============= asterisk_t ==============
allow asterisk_t inotifyfs_t:dir read;

Comment 1 Quentin Armitage 2010-03-01 15:20:14 UTC
Additional info:

I executed /etc/init.d/asterisk start and then got the selinux warning.

Comment 2 Daniel Walsh 2010-03-01 15:51:16 UTC
Miroslav add

fs_list_inotifyfs(asterisk_t) in F12


I verified it calls this in code.

Comment 3 Daniel Walsh 2010-03-01 15:53:27 UTC
	Fixed in selinux-policy-3.7.10-5.fc13.noarch

Comment 4 Fedora Update System 2010-03-04 18:46:38 UTC
selinux-policy-3.7.11-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/selinux-policy-3.7.11-1.fc13

Comment 5 Fedora Update System 2010-03-05 03:34:30 UTC
selinux-policy-3.7.11-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.11-1.fc13

Comment 6 Fedora Update System 2010-03-10 06:47:58 UTC
selinux-policy-3.7.11-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.